Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155244 - Kernel Panics on kernel 2.4.21-27
Summary: Kernel Panics on kernel 2.4.21-27
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-04-18 14:32 UTC by Vaibhav Khanduja
Modified: 2013-03-06 05:58 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 14:56:59 UTC


Attachments (Terms of Use)
Kernel Panic Crash (deleted)
2005-04-19 13:55 UTC, Vaibhav Khanduja
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Vaibhav Khanduja 2005-04-18 14:32:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
We recently moved from kernel 2.4.21-15 Red Hat Enterprise Linux AS release 3 (Taroon Update 2) to kernel 2.4.21-27 Red Hat Enterprise Linux AS release 3 (Taroon Update 2).  A library by named /usr/lib/libstdc++-libc6.1-1.so.2 was linked to /emul/ia32-linux/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so on kernel 2.4.21-15.
This particular library comes with packages libstdc++compat-3.2.2-owl2.i386.rpm. 
After upgrading the kernel from 2.4.21-15 to 2.4.21-27, when I tried installing our package (dce.rpm) the kernel panics, this is because dce daemon rpcd is started with rpm installer and rpcd is linking to library /usr/lib/libstdc++-libc6.1-1.so.2 (coming with package libstdc++compat-3.2.2-owl2.i386.rpm). Even the manual installation fails, rpcd makes kernel panic.

Kernel upgrade has caused this problem. There seems to be a issue with kernel 2.4.21-27.

libstdc++compat-3.2.2-owl2.i386.rpm does create a link if not in /emul/ia32-linux/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so  then /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so. 

rpm version used is 4.2.2. Hardware configuration 
arch       : IA-64
family     : Itanium 2




Version-Release number of selected component (if applicable):
kerner 2.4.21-27  Red Hat Enterprise Linux AS release 3 (Taroon Update 2)

How reproducible:
Always

Steps to Reproduce:
1.Please follow steps given in problem statement for reproducing. You might have to use some other program than dce.rpm
2.
3.
  

Actual Results:  Kernel panics

Expected Results:  The daemon should have come up. Installation should have been successfull.

Additional info:

Comment 1 Ernie Petrides 2005-04-18 17:41:28 UTC
Please attach console output with panic/oops text.

Comment 2 Vaibhav Khanduja 2005-04-19 13:56:00 UTC
Created attachment 113357 [details]
Kernel Panic Crash

Comment 3 Vaibhav Khanduja 2005-04-19 14:02:13 UTC
(In reply to comment #1)
> Please attach console output with panic/oops text.

Console output attached.

Comment 4 Ernie Petrides 2005-04-19 20:48:47 UTC
Hello, Vaibhav.  Does your dce.rpm contain a kernel module?

Comment 5 Vaibhav Khanduja 2005-04-20 06:40:05 UTC
(In reply to comment #4)
> Hello, Vaibhav.  Does your dce.rpm contain a kernel module?

I am attaching dce.rpm, I guess you should be able to find out. 

Comment 7 Jason Baron 2005-04-20 22:34:42 UTC
looks like a duplicate of 149965.

*** This bug has been marked as a duplicate of 149965 ***

Comment 8 Ernie Petrides 2005-05-05 00:39:17 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.3.EL).


Comment 14 Red Hat Bugzilla 2005-09-28 14:57:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.